# OpenGl_triedron.h File Reference

`#include <GL/gl.h>`
`#include <OpenGl_tgl_all.h>`
`#include <OpenGl_telem.h>`
`#include <OpenGl_tsm.h>`

## Functions

TStatus | call_ztriedron_setup (float *xcolor, float *ycolor, float *zcolor, float sizeratio, float axisdiameter, int nbfacettes)
TStatus | call_triedron_init (CALL_DEF_VIEW *aview, int aPosition, float r, float g, float b, float aScale, int asWireframe)
TStatus | call_triedron_redraw_from_view (CALL_DEF_VIEW *aview)
TStatus | call_triedron_redraw_from_wsid (Tint awsid)
TStatus | call_triedron_erase (CALL_DEF_VIEW *aview)
TStatus | call_triedron_echo (CALL_DEF_VIEW *aview, int aType)

## Function Documentation

TStatus call_triedron_echo | ( | CALL_DEF_VIEW * | aview,
|  | int | aType
| ) |

TStatus call_triedron_erase | ( | CALL_DEF_VIEW * | aview | ) |

TStatus call_triedron_init | ( | CALL_DEF_VIEW * | aview,
|  | int | aPosition,
|  | float | r,
|  | float | g,
|  | float | b,
|  | float | aScale,
|  | int | asWireframe
| ) |

TStatus call_triedron_redraw_from_view | ( | CALL_DEF_VIEW * | aview | ) |

TStatus call_triedron_redraw_from_wsid | ( | Tint | awsid | ) |

TStatus call_ztriedron_setup | ( | float * | xcolor,
|  | float * | ycolor,
|  | float * | zcolor,
|  | float | sizeratio,
|  | float | axisdiameter,
|  | int | nbfacettes
| ) |